Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum

The enumeration defines the name of each configuration option. Sockets can be configured with the method.

Defines configuration option names.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName HeaderIncluded

  The socket is listening.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName AddMembership

  Add an IP group membership.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName AddSourceMembership

  Join a source group.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName BlockSource

  Block data from a source.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName Broadcast

  Permit sending broadcast messages on the socket.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName HeaderIncluded

  Use urgent data as defined in RFC-1222. This option can be set only once; after it is set, it cannot be turned off.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName ChecksumCoverage

  Set or get the UDP checksum coverage.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName Debug

  Record debugging information.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName DontFragment

  Do not fragment IP datagrams.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName DontLinger

  Close the socket gracefully without lingering.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName DropSourceMembership

  Do not route; send the packet directly to the interface addresses.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName DropMembership

  Drop an IP group membership.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName DropSourceMembership

  Drop a source group.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName Error

  Get the error status and clear.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName ExclusiveAddressUse

  Enables a socket to be bound for exclusive access.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName HeaderIncluded

  Use expedited data as defined in RFC-1222. This option can be set only once; after it is set, it cannot be turned off.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName HeaderIncluded

  Indicates that the application provides the IP header for outgoing datagrams.

  0
- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName

  Specifies the maximum number of router hops for an Internet Protocol version 6 (IPv6) packet. This is similar to Time to Live (TTL) for Internet Protocol version 4.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName Debug

  Specifies the IP options to be inserted into outgoing datagrams.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName ReuseAddress

  Set the IP header Time-to-Live field.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName KeepAlive

  Use keep-alives.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName Linger

  Linger on close if unsent data is present.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName MaxConnections

  Not supported; will throw a if used.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName MulticastInterface

  Set the interface for outgoing multicast packets.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName MulticastLoopback

  An IP multicast loopback.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName MulticastTimeToLive

  An IP multicast Time to Live.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName Debug

  Send UDP datagrams with checksum set to zero.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName Debug

  Disables the Nagle algorithm for send coalescing.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName OutOfBandInline

  Receives out-of-band data in the normal data stream.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName PacketInformation

  Return information about received packets.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName ReceiveBuffer

  Specifies the total per-socket buffer space reserved for receives. This is unrelated to the maximum message size or the size of a TCP window.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName ReceiveLowWater

  Specifies the low water mark for operations.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName ReceiveTimeout

  Receive a time-out. This option applies only to synchronous methods; it has no effect on asynchronous methods such as the method.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName ReuseAddress

  Allows the socket to be bound to an address that is already in use.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName SendBuffer

  Specifies the total per-socket buffer space reserved for sends. This is unrelated to the maximum message size or the size of a TCP window.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName SendLowWater

  Specifies the low water mark for operations.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName SendTimeout

  Send a time-out. This option applies only to synchronous methods; it has no effect on asynchronous methods such as the method.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName Type

  Get the socket type.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName TypeOfService

  Change the IP header type of the service field.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName UnblockSource

  Unblock a previously blocked source.

  0
- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName

  Updates an accepted socket's properties by using those of an existing socket. This is equivalent to using the Winsock2 SO_UPDATE_ACCEPT_CONTEXT socket option and is supported only on connection-oriented sockets.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName

  Updates a connected socket's properties by using those of an existing socket. This is equivalent to using the Winsock2 SO_UPDATE_CONNECT_CONTEXT socket option and is supported only on connection-oriented sockets.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.SocketOptionName UseLoopback

  Bypass hardware when possible.

  0
0